classification
Title: cannot activate a venv environment on a Swiss German windows
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: venv activate.bat reset codepage fails on windows 10
View: 34144
Assigned To: Nosy List: Martin Bijl-Schwab, eryksun, mpagel, vinay.sajip
Priority: normal Keywords: patch

Created on 2018-11-02 16:39 by Martin Bijl-Schwab, last changed 2019-05-03 19:02 by eryksun. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10295 Martin Bijl-Schwab, 2018-11-02 16:39
PR 10696 closed python-dev, 2018-11-25 11:51
Messages (5)
msg329140 - (view) Author: Martin Bijl-Schwab (Martin Bijl-Schwab) * Date: 2018-11-02 16:39
There is a small bug in the activate.bat script causing problems on internationalized Windows systems.

C:\repo\gui>python -m venv venv

C:\repo\gui>call venv\Scripts\activate.bat
Parameterformat falsch - 850.

This translates to "Wrong parameter - 850."

For the user it is not obvious what went wrong. 

The virtual environment is setup and will work in most cases.

Link to https://bugs.python.org/issue32409.
msg329145 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2018-11-02 17:32
So - are you saying that chcp prints "850." when asked for the current code page but won't accept "850." when setting the code page, requiring just "850"?
msg329159 - (view) Author: Eryk Sun (eryksun) * (Python triager) Date: 2018-11-02 20:08
The Windows command line often has inconsistently localized strings. In this case it's from the ulib.dll utility library. For German, message 0x7692 in "de-DE\ulib.dll.mui" is "Aktive Codepage: %1.\r\n", which has a period after the %1 insert. In the English UI it's "Active code page: %1\r\n", with no period. I commented on the PR that we could work around this by adding "." to the list of token delimiters (delims).
msg329432 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2018-11-07 19:28
Fixed, see bpo-32409 for commit information.
msg332182 - (view) Author: Mike Pagel (mpagel) * Date: 2018-12-20 06:22
Dear developers on the nosy list: Would it be possible that someone does a quick review of my related fix in https://github.com/python/cpython/pull/10696?

It is extremely simple and has minimal side effects, but would relieve us from getting this annoying error in the future.

I know this is a minor thing but each time I start a venv in Germany, I am reminded of this... :-)

Thanks a lot.
History
Date User Action Args
2019-05-03 19:02:01eryksunsetstatus: open -> closed
superseder: venv activate.bat reset codepage fails on windows 10
resolution: duplicate
stage: patch review -> resolved
2018-12-20 06:22:34mpagelsetmessages: + msg332182
2018-11-25 13:35:15mpagelsetnosy: + mpagel
2018-11-25 11:51:04python-devsetkeywords: + patch
pull_requests: + pull_request9949
2018-11-16 19:23:06vinay.sajipsetstatus: closed -> open
resolution: fixed -> (no value)
stage: resolved -> patch review
2018-11-07 19:28:45vinay.sajipsetstatus: open -> closed
versions: - Python 3.6
messages: + msg329432

resolution: fixed
stage: resolved
2018-11-02 20:08:36eryksunsetnosy: + eryksun
messages: + msg329159
2018-11-02 17:32:52vinay.sajipsetmessages: + msg329145
2018-11-02 17:10:10ned.deilysetnosy: + vinay.sajip
2018-11-02 16:39:43Martin Bijl-Schwabcreate